#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <net/ethernet.h>
#include <netinet/in.h>

int main(int argc, char *argv[])
{
  int s;
  struct ifreq ifr;

  s = socket(PF_PACKET, SOCK_RAW, htons(ETH_P_ALL));
  if (s < 0)
    exit(0);

  memset(&ifr, 0, sizeof(ifr));
  strncpy(ifr.ifr_name, argv[1], sizeof(ifr.ifr_name));
  if (ioctl(s, SIOCGIFHWADDR, &ifr) < -1)
    exit(0);

  printf("%d\n", ifr.ifr_hwaddr.sa_family);

  return 0;
}
